[Prev: SUBJECTHEADER] | [Resources][TOC] | [Next: SUBJECTSTRIPCODE]

# SUBJECTREPLYRXP

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_SUBJECTREPLYRXP=`perl_regex

Element

  `<SUBJECTREPLYRXP>`
  perl_regex
  `</SUBJECTREPLYRXP>`

Command-line Option

  `-subjectreplyrxp perl_regex`

## Description

SUBJECTREPLYRXP defines the Perl regular expression matching subject text that denotes a reply message. For example, the string "`Re:` " is commonly prepended to the subject to denote a reply.

SUBJECTREPLYRXP is used by MHonArc for sorting and threading purposes. The regex defined is used in `s///` operation loops with the case-insensitive modifier. Hence, the regex should eventually fail if called repeatedly on the same string in an `s///` operation. If not, an infinite loop will result. In sum, SUBJECTREPLYRXP should NOT be able to match the null string. Also, the regex should be anchored to the beginning of the string.

The SUBJECTREPLYRXP is normally changed to suit a particular locale or if unusual notations are being used to denote replies.

## Default Setting

    ^\s*(re|sv|fwd|fw)[\[\]\d]*[:>-]+\s*

## Resource Variables

N/A

## Examples

None.

## Version

2.2.0

## See Also

SUBJECTARTICLERXP

[Prev: SUBJECTHEADER] | [Resources][TOC] | [Next: SUBJECTSTRIPCODE]